%bcond_without check

%global goipath         github.com/DataDog/golz4
Version:                1.3.0

%gometa

%global common_description %{expand:
Golang interface to LZ4 compression.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

%global godevelheader %{expand:
Requires:       lz4-devel
}

Name:           %{goname}
Release:    1%{?dist}
Summary:        Golang interface to LZ4 compression

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  lz4-devel
%if %{with check}
BuildRequires:  python3-lz4
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
